List:General Discussion« Previous MessageNext Message »
From:Octavian Rasnita Date:November 18 2002 7:25pm
Subject:Re: MySQL, Perl 5.8 vs Perl 5.6
View as plain text  
Were you able to install the module DBD::mysql with perl 5.8???
Have you used ppm?

I was fighting a lot to install the DBD::mysql with perl 5.8 but it told me
that a PPD file for this package could not be found.

I found another module named DBD::mysqlPP for pure perl and it works in the
same way.
You just need to modify the name DBD::mysql with DBD::mysqlPP in your Perl
programs.

I've read in the POD documentation that some features are missing from this
module, comparing it with DBD::mysql.

Teddy,
Teddy's Center: http://teddy.fcc.ro/
Email: orasnita@stripped

----- Original Message -----
From: "Robert W. Kramer III" <cis@stripped>
To: <mysql@stripped>
Sent: Sunday, November 17, 2002 1:03 AM
Subject: MySQL, Perl 5.8 vs Perl 5.6



I just downloaded and installed MySQL 3.23.53-win. The installation required
DBI and DBD-mysql which I installed using PPM.

I'd like to test mysql, but everything I run is looking for perl56.dll and
fails to load.

DBI and DBD-mysql appear to be compiled/linked using Perl 5.6. All of my
efforts are intended to be used with Apache 2.0.43 with PHP4, Perl 5.8,
mod_perl-2, Apache::ASP and, for Win32, these all seem to install best with
Perl 5.8

So far I've managed not to have to compile anything but mysql looks like
it's going to be different.

Can anyone tell me how to eliminate the need for perl56.dll and have mysql,
dbi and dbd-mysql all use Perl 5.8? I'm seeing errors like these when I try
to run mysql test files (I also get a popup dialog box in Win32 that
indicates perl56.dll can't be found):

C:\MySQL\bench>perl run-all-tests --log --comment "2x Pentium II 400mz,
256M, un
der vmware"
Can't load 'C:/Perl/site/lib/auto/DBI/DBI.dll' for module DBI: load_file:The
spe
cified module could not be found at C:/Perl/lib/DynaLoader.pm line 229.
 at C:/Perl/site/lib/DBI.pm line 236
BEGIN failed--compilation aborted at C:/Perl/site/lib/DBI.pm line 236.
Compilation failed in require at run-all-tests line 36.
BEGIN failed--compilation aborted at run-all-tests line 36.

C:\MySQL\bench>del limits\mysql-org.cfg
Could Not Find C:\MySQL\bench\limits\mysql-org.cfg

C:\MySQL\bench>move limits\mysql.cfg limits\mysql-org.cfg

C:\MySQL\bench>perl crash-me --force
Can't load 'C:/Perl/site/lib/auto/DBI/DBI.dll' for module DBI: load_file:The
spe
cified module could not be found at C:/Perl/lib/DynaLoader.pm line 229.
 at C:/Perl/site/lib/DBI.pm line 236
BEGIN failed--compilation aborted at C:/Perl/site/lib/DBI.pm line 236.
Compilation failed in require at crash-me line 43.
BEGIN failed--compilation aborted at crash-me line 43.

Bob Kramer


---------------------------------------------------------------------
Before posting, please check:
   http://www.mysql.com/manual.php   (the manual)
   http://lists.mysql.com/           (the list archive)

To request this thread, e-mail <mysql-thread125150@stripped>
To unsubscribe, e-mail <mysql-unsubscribe-orasnita=home.ro@stripped>
Trouble unsubscribing? Try: http://lists.mysql.com/php/unsubscribe.php



Thread
MySQL, Perl 5.8 vs Perl 5.6Robert W. Kramer III18 Nov
  • Re: MySQL, Perl 5.8 vs Perl 5.6Octavian Rasnita19 Nov